Re: [androidbrasil-dev] Não é possível abrir o arquivo

Fala disso https://developer.android.com/about/versions/marshmallow/android-6.0-changes.html?hl=pt-br

Nossa, olha isso (estranho que ele me obriga a usar compileSdkVersion 23 quando uso o http.legacy)...kkkkk: 
A versão Android 6.0 remove a compatibilidade com cliente Apache HTTP.


2017-01-26 16:43 GMT-02:00 Rudson Lima <rudsonlive@gmail.com>:
Você está tratando as permissões para API 23+ em tempo de execução?


Em 26 de jan de 2017 3:40 PM, "Arthur Ruppenthal" <arthur.ruppenthal@gmail.com> escreveu:
Tenho usado API 23. É possível que até mesmo no moto g4 play (Marshmallou 6.0.1) a versão do meu app tenha ficado muito "alta"?

Usei esta API por causa do userLibrary 'org.apache.http.legacy.

Att,

2017-01-25 16:50 GMT-02:00 Arthur Ruppenthal <arthur.ruppenthal@gmail.com>:
Se eu o envio para o google drive e baixo de lá, retorna o erro: 

"Parse error

 There was a problem parsing the package"

2017-01-25 16:44 GMT-02:00 Rudson Lima <rudsonlive@gmail.com>:
@Arthur essa parte do código já é gerado por padrão na criação do projeto e ainda assim vc não está utilizando o proguard!

instalar seu app em um device conectado ao seu pc e com o Android Studio aberto. Pode ser que ele mostre no log o problema pois "can´t open file" é meio vago oO.

Em 25 de janeiro de 2017 15:41, Arthur Ruppenthal <arthur.ruppenthal@gmail.com> escreveu:
Mesmo removendo essas cláusulas e gerando um novo release.apk não funcionou.

On Wed, Jan 25, 2017 at 4:31 PM, Arthur Ruppenthal <arthur.ruppenthal@gmail.com> wrote:
Sim, tem essa cláusula (nem sabia que estava usando):

buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
        }
    }

On Wed, Jan 25, 2017 at 4:25 PM, Rudson Lima <rudsonlive@gmail.com> wrote:
Tá usando o proguard? Se tiver é bom da uma revisada nele. 

Em 25 de janeiro de 2017 15:22, Arthur Ruppenthal <arthur.ruppenthal@gmail.com> escreveu:
Boa tarde pessoal.

Gerei minha apk signed pelo android studio, mas mesmo no marshmallow (6.1) quando vou tentar instalá-la diz que não é possível abrir o arquivo (can´t open file). Se eu rodo como debug direto do AS funciona normalmente. 

Na versão 5.1 diz que não é possível fazer parser do arquivo.

Alguém já passou por isso?

Agradeço desde já!

--
You received this message because you are subscribed to the Google Groups "Android Brasil - Dev" group.
To unsubscribe from this group and stop receiving emails from it, send an email to androidbrasil-dev+unsubscribe@googlegroups.com.
For more options, visit https://groups.google.com/d/optout.



--
Rudson Lima ( live-O ) Desenvolvedor Android
Contato +55 85 87050560 - Fortaleza-ce
Social facebook | google+ | linkedin

--
You received this message because you are subscribed to the Google Groups "Android Brasil - Dev" group.
To unsubscribe from this group and stop receiving emails from it, send an email to androidbrasil-dev+unsubscribe@googlegroups.com.
For more options, visit https://groups.google.com/d/optout.


--
You received this message because you are subscribed to the Google Groups "Android Brasil - Dev" group.
To unsubscribe from this group and stop receiving emails from it, send an email to androidbrasil-dev+unsubscribe@googlegroups.com.
For more options, visit https://groups.google.com/d/optout.



--
Rudson Lima ( live-O ) Desenvolvedor Android
Contato +55 85 87050560 - Fortaleza-ce
Social facebook | google+ | linkedin

--
You received this message because you are subscribed to the Google Groups "Android Brasil - Dev" group.
To unsubscribe from this group and stop receiving emails from it, send an email to androidbrasil-dev+unsubscribe@googlegroups.com.
For more options, visit https://groups.google.com/d/optout.


--
You received this message because you are subscribed to the Google Groups "Android Brasil - Dev" group.
To unsubscribe from this group and stop receiving emails from it, send an email to androidbrasil-dev+unsubscribe@googlegroups.com.
For more options, visit https://groups.google.com/d/optout.

--
You received this message because you are subscribed to the Google Groups "Android Brasil - Dev" group.
To unsubscribe from this group and stop receiving emails from it, send an email to androidbrasil-dev+unsubscribe@googlegroups.com.
For more options, visit https://groups.google.com/d/optout.

--
You received this message because you are subscribed to the Google Groups "Android Brasil - Dev" group.
To unsubscribe from this group and stop receiving emails from it, send an email to androidbrasil-dev+unsubscribe@googlegroups.com.
For more options, visit https://groups.google.com/d/optout.

  • Digg
  • Del.icio.us
  • StumbleUpon
  • Reddit
  • RSS

1 comentários:

Blogger disse...

Do you need free Twitter Re-tweets?
Did you know you can get them ON AUTOPILOT & TOTALLY FOR FREE by getting an account on Like 4 Like?

Postar um comentário